Re-sync Connection Table Data
Triggers a historical sync of all data for multiple schema tables within a connection. This action does not override the standard sync frequency you defined in the Fivetran dashboard.
Request schema
Path parameters
connectionId
stringrequired
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
example:
4107c213907114059a5544ad8fa66c52
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Request
schema
array
Schema name
example:
[
"table1",
"table2"
]
type:
string
Http + 1.1
POST
https://api.fivetran.com/v1/connections/4107c213907114059a5544ad8fa66c52/schemas/tables/resync
POST /v1/connections/4107c213907114059a5544ad8fa66c52/schemas/tables/resync HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 48 { "schema": [ "table1", "table2" ] }
Responses
200
Successful response
200
code
stringrequired
Response status code
example:
Success
message
stringrequired
Response status text
example:
Re-sync has been triggered successfully
{ "code": "Success", "message": "Re-sync has been triggered successfully" }